//
//  ViewController.swift
//  uiSegmentedControl
//
//  Created by yoshiyuki oshige on 2015/08/29.
//  Copyright © 2015年 yoshiyuki oshige. All rights reserved.
//

import UIKit

class ViewController: UIViewController {

    // ビューのプロパティ宣言
    @IBOutlet weak var colorChip: UIView!
    
    // セグメンテッドコントロールで色を選び直した
    @IBAction func changedColor(sender: UISegmentedControl) {
        // 選ばれているインデックス番号で処理を振り分ける
        switch sender.selectedSegmentIndex {
        case 0:
            colorChip.backgroundColor = UIColor.blueColor()
        case 1:
            colorChip.backgroundColor = UIColor.yellowColor()
        case 2:
            colorChip.backgroundColor = UIColor.greenColor()
        default :
            colorChip.backgroundColor = UIColor.blueColor()
        }
    }
    
    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }


}

